Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Lightning fast webserver with light system requirements
Name:		lighttpd
Version:	1.4.26
Release:	1
Provides:	webserver
License:	BSD
Group:		Internet/Webserver
URL:		http://www.lighttpd.net/
Source0:	http://www.lighttpd.net/download/lighttpd-%{version}.tar.bz2
Source1:	lighttpd.logrotate
Source2:	php.d-lighttpd.ini
Source3:	%{name}.init
Source4:	poweredby.png
Source10:	index.html
Source11:	favicon.ico
Source12:	light_button.png
Source13:	light_logo.png

Patch1:		lighttpd-1.4.26-defaultconf.patch

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	gawk
BuildRequires:	readline-devel
BuildRequires:  cyrus-sasl-devel

Requires:	pcre

Requires(pre):		/usr/sbin/useradd
Requires(post):		/sbin/chkconfig /bin/chown
Requires(preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel

%define		webroot		/var/www/lighttpd


#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: gamin-devel
BuildRequires: gdbm-devel
BuildRequires: glibc-devel
BuildRequires: libxml2-devel
BuildRequires: lua-devel
BuildRequires: mysql-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel
BuildRequires: pcre-devel
BuildRequires: sqlite-devel
BuildRequires: util-linux-ng
BuildRequires: zlib-devel

%description
Secure, fast, compliant and very flexible web-server which has been optimized
for high-performance environments. It has a very low memory footprint compared
to other webservers and takes care of cpu-load. Its advanced feature-set
(FastCGI, CGI, Auth, Output-Compression, URL-Rewriting and many more) make
it the perfect webserver-software for every server that is suffering load
problems.

%package	fastcgi
Summary:	FastCGI module and spawning helper for lighttpd and PHP configuration
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	fastcgi
This package contains the spawn-fcgi helper for lighttpd's automatic spawning
of local FastCGI programs. Included is also a PHP .ini file to change a few
defaults needed for correct FastCGI behavior.

%package	mod_mysql_vhost
Summary:	Virtual host module for lighttpd that uses a MySQL database
Group:		%{group}
Requires:	%{name} = %{version}-%{release}
BuildRequires:	mysql-devel

%description	mod_mysql_vhost
Virtual host module for lighttpd that uses a MySQL database.

%pre
# Add the "lighttpd" user and group
/usr/sbin/useradd -c "lighttpd web server" -U lighttpd -s /sbin/nologin -d %{webroot} > /dev/null 2>&1 || :

%post
ldconfig
/sbin/chkconfig --add lighttpd
/sbin/chkconfig lighttpd on
/bin/chown %{name} -R %{_var}/log/lighttpd/
/bin/chown %{name} -R %{_var}/run/lighttpd/

%preun
if [ $1 -eq 0 ] ; then
    %_initrddir/lighttpd stop >/dev/null || :
    /sbin/chkconfig --del lighttpd
fi

%postun
ldconfig
/usr/sbin/userdel %{name}

%prep
%setup -q
%patch1 -p1 -b .defaultconf

%build
./configure \
--prefix=%_prefix \
--libdir="%_libdir/%{name}" \
--with-mysql \
--with-ldap \
--with-openssl \
--with-fam \
--with-webdav-props \
--with-webdav-locks \
--with-gdbm \
--with-lua
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install included init script and sysconfig entry
install -D -p -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir/rc.d/init.d/lighttpd
install -D -p -m 0644 doc/sysconfig.lighttpd $RPM_BUILD_ROOT%_sysconfdir/sysconfig/lighttpd

# Install (*patched above*) sample config file
install -D -p -m 0640 doc/lighttpd.conf $RPM_BUILD_ROOT%_sysconfdir/lighttpd/lighttpd.conf

# Install our own logrotate entry
install -D -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/lighttpd

# Install our own php.d ini file
install -D -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir/php.d/lighttpd.ini

# Install our own default web page and images
mkdir -p $RPM_BUILD_ROOT%{webroot}
install -p -m 0644 %{SOURCE4} %{SOURCE10} %{SOURCE11} %{SOURCE12} %{SOURCE13} $RPM_BUILD_ROOT%{webroot}/

# Install empty log directory to include
mkdir -p $RPM_BUILD_ROOT%{_var}/log/lighttpd

# Install empty run directory to include (for the example fastcgi socket)
mkdir -p $RPM_BUILD_ROOT%{_var}/run/lighttpd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,)
%doc doc/*.txt doc/lighttpd.conf doc/lighttpd.user
%dir %_sysconfdir/lighttpd/
%config(noreplace) %{_sysconfdir}/lighttpd/lighttpd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/lighttpd
%config(noreplace) %{_sysconfdir}/sysconfig/lighttpd
%{_sysconfdir}/rc.d/init.d/lighttpd
%{_sysconfdir}/php.d/lighttpd.ini

%{_sbindir}/lighttpd
%{_sbindir}/lighttpd-angel
%{_libdir}/lighttpd/
%{_var}/log/lighttpd/
%{_var}/run/lighttpd/
%{webroot}/
%{_mandir}/man8/lighttpd.8.gz
%exclude %{_libdir}/lighttpd/*.la
%exclude %{_libdir}/lighttpd/mod_fastcgi.so
%exclude %{_libdir}/lighttpd/mod_mysql_vhost.so

%files fastcgi
%defattr(-,root,root,-)
%{_libdir}/lighttpd/mod_fastcgi.so

%files mod_mysql_vhost
%defattr(-,root,root,-)
%{_libdir}/lighttpd/mod_mysql_vhost.so



%changelog
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.4.26-1
- version update
* Mon Sep 22 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.19-1
- Initial release
